Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat.share
Class PluginInfo

    java.lang.Object
      madkit.MadChat.share.PluginInfo

All Implemented Interfaces:
  java.io.Serializable

    public class PluginInfo

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `pluginName`
`PluginVersionNumber` | `pluginVersion`
`AgentAddress` | `serverAddress`
`java.lang.String` | `serverName`
`java.lang.String` | `virtualPath`

Constructor Summary
`PluginInfo(java.lang.String pn, PluginVersionNumber pvn, java.lang.String vp)`
`PluginInfo(java.lang.String pn, PluginVersionNumber pv, java.lang.String vp, java.lang.String sn, AgentAddress sa)`

Method Summary
`void` | `setServerAddress(AgentAddress sa)`
`void` | `setServerName(java.lang.String sn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pluginName

    public java.lang.String pluginName

### pluginVersion

    public PluginVersionNumber pluginVersion

### virtualPath

    public java.lang.String virtualPath

### serverName

    public java.lang.String serverName

### serverAddress

    public AgentAddress serverAddress

Constructor Detail

### PluginInfo

    public PluginInfo(java.lang.String pn,
                      PluginVersionNumber pvn,
                      java.lang.String vp)

### PluginInfo

    public PluginInfo(java.lang.String pn,
                      PluginVersionNumber pv,
                      java.lang.String vp,
                      java.lang.String sn,
                      AgentAddress sa)

Method Detail

### setServerName

    public void setServerName(java.lang.String sn)

### setServerAddress

    public void setServerAddress(AgentAddress sa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.